// import node_modules
import axios from 'axios';

// import others
import { API_URL } from '../config';

axios.defaults.timeout = 60000;

// main
axios.interceptors.request.use(
  function(config) {
    // Do something before request is sent
    // eslint-disable-next-line no-param-reassign
    config.headers.authorization = localStorage.getItem('token') || '';
    return config;
  },
  function(error) {
    // Do something with request error
    return Promise.reject(error);
  },
);

// Add a response interceptor
axios.interceptors.response.use(
  function(response) {
    // Any status code that lie within the range of 2xx cause this function to trigger
    // Do something with response data
    return response;
  },
  function(error) {
    // Any status codes that falls outside the range of 2xx cause this function to trigger
    // Do something with response error
    return Promise.reject(error);
  },
);
// config axios
axios.defaults.baseURL = API_URL;
axios.defaults.headers.common.Authorization =
  localStorage.getItem('token') || '';

export default axios;
