import { createSlice } from '@reduxjs/toolkit';

const authSlice = createSlice({
  name: 'auth',
  initialState: {
    token: '',
    isLoggedIn: false,
  },
  reducers: {
    login(state, action) {
      const { token } = action.payload;
      // eslint-disable-next-line no-param-reassign
      state.token = token;
      // eslint-disable-next-line no-param-reassign
      state.isLoggedIn = true;
    },
    logout(state) {
      // eslint-disable-next-line no-param-reassign
      state.token = '';
      // eslint-disable-next-line no-param-reassign
      state.isLoggedIn = false;
    },
  },
});

export const { login, logout } = authSlice.actions;

export default authSlice.reducer;
