import * as Yup from 'yup';

const validationSchema = Yup.object().shape({
  password: Yup.string()
    .trim()
    .nullable()
    .min(6)
    .max(12)
    .required('Password is a required filed'),
  confirmPassword: Yup.string()
    .trim()
    .nullable()
    .oneOf([Yup.ref('password'), null], 'Passwords must match')
    .required('Confirm password is a required field'),
});

export default validationSchema;
