export const formatFormByType = data => {
  const state = JSON.parse(data.state);
  const locations = [
    {
      ...state,
      city: data.city,
    },
  ];

  const userInfo = {
    email: data.email,
    password: data.password,
    locations,
    categories: data.categories,
    role: 'individual',
    payPlan: data.typeAccount,
    notificationType: 'allInLocations',
    notificationOptoutType: ['None'],
    socialMediaLinks: data.socialMediaLinks,
    webSiteLinks: data.webSiteLinks,
    name: data.firstName,
    surName: data.lastName,
    userName: data.userName,
    privacySettings: {
      visibility: 'public',
      bannedUsers: [],
    },
    profileVisibility: data.profileVisibility,
    socials: {},
    differentAddress: {
      line1: data.addressDifferent,
      city: data.cityDifferent,
      line2: data.unitDifferent,
      state: data.stateDifferent,
      postal_code: data.zipCodeDifferent,
    },
    planPeriod: 'month',
    stripeToken: data.stripeToken,
    promoCode: data.couponCode || '',
    cityStripe: JSON.parse(data.cityStripe),
  };

  const convertedData = {
    userInfo,
  };

  const enterPriseInfo = {};
  if (data.typeAccount !== 'Freelancer') {
    userInfo.role = 'enterprise';
    userInfo.payPlan = 'Free';

    enterPriseInfo.title = data.title;
    enterPriseInfo.numberOfFullTimeEmployees = data.numberOfFullTimeEmployees;
    enterPriseInfo.address = data.address;
    enterPriseInfo.publicSchool = data.publicSchool;
    enterPriseInfo.nonProfit = data.nonProfit;
    enterPriseInfo.theater = data.theater;
    enterPriseInfo.companyName = data.companyName;
    enterPriseInfo.adminName = data.userName;
    enterPriseInfo.companyWebsite = data.companyWebsite;
    enterPriseInfo.zipCode = data.zipCode;
    enterPriseInfo.companyPhoneNumber = data.companyPhoneNumber;
    enterPriseInfo.locations = locations;
    enterPriseInfo.categories = data.categories;
    enterPriseInfo.unit = Number(data.unit);
    enterPriseInfo.phoneDifferent = data.phoneDifferent;

    convertedData.enterpriseInfo = enterPriseInfo;
  }

  return convertedData;
};
