import AuthApi from '../../api/auth.api';
import { createAsyncAction } from '../../libs/redux-helpers';

export const USER_LOGIN = 'USER_LOGIN';
export const USER_LOGIN_SUCCESS = 'USER_LOGIN_SUCCESS';
export const USER_LOGIN_FAILURE = 'USER_LOGIN_FAILURE';

export const login = createAsyncAction({
  preFn: dispatch => {
    dispatch({ type: USER_LOGIN });
  },
  fn: AuthApi.login,
  success: body => ({ type: USER_LOGIN_SUCCESS, body }),
  error: error => ({ type: USER_LOGIN_FAILURE, error }),
});
