import {
  HANDLE_FREELANCER_FORM_UPDATE,
  HANDLE_BUSINESS_FORM_UPDATE,
  HANDLE_REGISTRATION_FORM_UPDATE,
} from './forms.actions';

const initialState = {
  registrationForm: {
    email: '',
    password: '',
    confirmPassword: '',
    keepSigned: false,
    termsByservice: false,
    addGuideLines: false,
    subscriptionValue: '',
    addCouponcode: false,
    payPlan: 'Free',
    notificationType: 'allInLocations',

    businessDetails: {
      companyName: '',
      companyWebsite: '',
      profile: '',
      parentCategories: [],
      category: '',
      adminName: '',
      numberOfFullTimeEmployees: '',
      employeeType: null,
      title: '',
      address: '',
      city: '',
      zipCode: '',
      phone: '',
      PublicSchool: false,
      NonProfit: false,
      Theater: false,
    },

    freelancerDetails: {
      firstName: '',
      lastName: '',
      userName: '',
      city: '',
      joinCity: '',
      paidCity: false,
      parentCategories: [],
      primaryJobTitle: [],
    },
  },
};

export default function(state = initialState, action) {
  switch (action.type) {
    case HANDLE_REGISTRATION_FORM_UPDATE: {
      let { registrationForm } = state;
      registrationForm = { ...registrationForm, ...action.body };
      return { ...state, registrationForm };
    }
    case HANDLE_BUSINESS_FORM_UPDATE: {
      let { businessDetails } = state.registrationForm;
      businessDetails = { ...businessDetails, ...action.body };
      const { registrationForm } = state;
      registrationForm.businessDetails = businessDetails;
      return { ...state, registrationForm };
    }
    case HANDLE_FREELANCER_FORM_UPDATE: {
      let { freelancerDetails } = state.registrationForm;
      freelancerDetails = { ...freelancerDetails, ...action.body };
      const { registrationForm } = state;
      registrationForm.freelancerDetails = freelancerDetails;
      return { ...state, registrationForm };
    }
    default:
      return state;
  }
}
