import * as STATE from '../redux.constants';
import {
  SIGNUP_PENDING,
  SIGNUP_SUCCESS,
  SIGNUP_FAIL,
  RESET_STATE,
} from './signup.actions';

const initialState = {
  error: {},
  state: STATE.STATE_IDLE,
};

function getError(payload) {
  return Array.isArray(payload.data) ? payload.data[0] : payload.error;
}

export default (state = initialState, action) => {
  switch (action.type) {
    case SIGNUP_PENDING:
      return { ...state, state: STATE.STATE_LOADING };
    case SIGNUP_SUCCESS:
      return { ...state, state: STATE.STATE_SUCCESS };
    case SIGNUP_FAIL:
      return {
        ...state,
        state: STATE.STATE_ERROR,
        error: getError(action.payload),
      };
    case RESET_STATE:
      return { ...state, state: STATE.STATE_IDLE };

    default:
      return state;
  }
};
